<?php

add_action( 'widgets_init', 'wellthemes_recent_posts_text_widgets' );

function wellthemes_recent_posts_text_widgets() {
	register_widget( 'wellthemes_recent_posts_text_widget' );
}

/**
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 */
class wellthemes_recent_posts_text_widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function wellthemes_recent_posts_text_widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'widget_posts', 'description' => 'آخرین اخبار از دسته های مختلف', );

		/* Create the widget. */
		$this->WP_Widget( 'wellthemes_recent_posts_text_widget', 'آخرین اخبار', $widget_ops);
	}

	/**
	 *display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		echo $before_widget;
		if ( $title )
		echo $before_title . $title . $after_title;
	   
	    ?>
       <?php
	   $entries_display = $instance['entries_display'];
	   if(empty($entries_display)){ $entries_display = '5'; }
			$display_category = $instance['display_category'];

        $latest_posts = new WP_Query();
        $latest_posts->query('ignore_sticky_posts=1&showposts='.$entries_display.'&orderby=post_date&cat='.$display_category.'');
		
        while ($latest_posts->have_posts()) : $latest_posts->the_post();
       ?>
       
		<div class="item-post">		
			
				<h3>
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'wellthemes'), the_title_attribute('echo=0')); ?>">
						<?php 
							//display only first 90 characters in the title.	
							$short_title = mb_substr(the_title('','',FALSE),0, 90);
							echo $short_title; 
							if (strlen($short_title) > 229){ 
								echo '...'; 
							} 
						?>	
					</a>
				</h3>
		   
  
		</div><!-- /item-post -->
	  
	  <?php endwhile; ?>
       
	   <?php
		
		/* After widget (defined by themes). */
		echo $after_widget;
	}

	function form( $instance ) {
		$defaults = array('title' => 'آخرین اخبار', 'entries_display' => 5, 'display_category' => '');
		$instance = wp_parse_args((array) $instance, $defaults);
	?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان</label>
        <input type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" /></p>
		
		<p><label for="<?php echo $this->get_field_id( 'entries_display' ); ?>">تعداد اخبار</label>
		<input type="text" id="<?php echo $this->get_field_id('entries_display'); ?>" name="<?php echo $this->get_field_name('entries_display'); ?>" value="<?php echo $instance['entries_display']; ?>" style="width:100%;" /></p>
 
		<p><label for="<?php echo $this->get_field_id( 'display_category' ); ?>">برای اینکه خبر را از موضوع یا دسته مشخصی نمایش دهید به دسته های خود رجوع کنید و روی دسته مورد نظر راست کلیک کنید و گزینه (Copy link location ) را انتخاب و لینک به دست آمده را در محلی پیس نمایید: یک عدد مشخص است مثلا به این شکل (ID=1) عدد به دست آمده (ID) شماست آن را یادداشت کنید (ID) . و در این محل قرار دهید.</label>
		<input type="text" id="<?php echo $this->get_field_id('display_category'); ?>" name="<?php echo $this->get_field_name('display_category'); ?>" value="<?php echo $instance['display_category']; ?>" style="width:100%;" /></p>
	<?php
	}
}
?>