<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->

<head>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery-1.11.2.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/hyperUpera.js"></script>
<script>
$(document).ready(function(){

// hide #back-top first
$("#back-top").hide();

// fade in #back-top
$(function () {
$(window).scroll(function () {
if ($(this).scrollTop() > 100) {
$('#back-top').fadeIn();
} else {
$('#back-top').fadeOut();
}
});

// scroll body to 0px on click
$('#back-top a').click(function () {
$('body,html').animate({
scrollTop: 0
}, 800);
return false;
});
});

});
</script>

<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />

<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'wellthemes' ), max( $paged, $page ) );

	?>
</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<link rel="iranscript" href="http://www.iranscript.ir" />
<script type="text/javascript">
	var themeDir = "<?php echo get_template_directory_uri(); ?>";
</script>
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>

</head>
<body <?php body_class(); ?>>

<div id="container" class="hfeed">	
	<?php
		if (is_home() && $paged < 2 ){
			if ( wt_get_option( 'wt_show_top_posts' ) == 1 ) {
				get_template_part( 'includes/top-stories' );
			}
		}
	?>
	<header id="header" role="banner">			
		<div class="wrap">						
			<div class="logo">
			<?php if (wt_get_option( 'wt_logo_url' )) { ?>
				<h1>
					<a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>">
						<img src="<?php echo wt_get_option( 'wt_logo_url' ); ?>" alt="<?php bloginfo( 'name' ); ?>" />
					</a>
				</h1>	
			<?php } else {?>
				<h1 class="site-title">
					<a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>">
						<?php bloginfo('name'); ?>
					</a>
				</h1> 
				<h3>
					<?php bloginfo('description'); ?>
				</h3>
			<?php } ?>	
			</div>	<!-- /logo -->	
		
			<div class="date">				
				<?php 
					//get the time zone from the WordPress settings
					$wp_timezone =  get_option('timezone_string');
					if(!empty($wp_timezone)){
						date_default_timezone_set(get_option('timezone_string'));
					}
										
					//display date in WordPress local language
					echo date_i18n('l, jS F Y', time()); 
					
					//if there is problem with date, you can use following function
					//echo date('l, jS F Y');
					
				?>

			
			<div class="social">
				<ul>
					<?php if (wt_get_option( 'wt_twitter_url' )) { ?>
						<li><a class="twitter" href="<?php echo wt_get_option( 'wt_twitter_url' ); ?>">Twitter</a></li>
					<?php } ?>
					
					<?php if (wt_get_option( 'wt_fb_url' )) { ?>
						<li><a class="fb" href="<?php echo wt_get_option( 'wt_fb_url' ); ?>">Facebook</a></li>
					<?php } ?>
					
					<?php if (wt_get_option( 'wt_gplus_url' )) { ?>
						<li><a class="gplus" href="<?php echo wt_get_option( 'wt_gplus_url' ); ?>">Google+</a></li>
					<?php } ?>
					
					<?php if (wt_get_option( 'wt_rss_url' )) { ?>
						<li><a class="rss" href="<?php echo wt_get_option( 'wt_rss_url' ); ?>">RSS</a></li>
					<?php } else { ?>
						<li><a class="rss" href="<?php bloginfo('rss2_url'); ?>">RSS</a></li>
					<?php } ?>					
				</ul>
			</div>
					</div>
		
		</div> <!-- /wrap -->
        <a style="display:none" rel="follow"  href="http://www.20script.ir/" title="بیست اسکریپت">بیست اسکریپت</a>
        <a style="display:none" rel="follow"  href="http://www.20script.ir/category/themes/wordpress/" title="قالب وردپرس">قالب وردپرس</a>
        <a style="display:none" rel="follow"  href="http://www.20script.ir/category/article-tutorials/wp/" title="آموزش وردپرس">آموزش وردپرس</a>
        <a style="display:none" rel="follow"  href="http://www.20script.ir/?s=قالب+فروشگاهی+وردپرس" title="قالب فروشگاهی وردپرس">قالب فروشگاهی وردپرس</a>
        <a style="display:none" rel="follow"  href="http://www.20script.ir/category/scripts/" title="اسکریپت">اسکریپت</a>
		
		<div id="main-menu">
			<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'container' => '0', 'fallback_cb' => 'wellthemes_main_menu_fallback',) ); ?>
			
<div class="search2">
<?php include TEMPLATEPATH."/searchform.php"?>
</div>	
		</div>

		<div class="clearfix"></div>


<div id="news">
<style type="text/css">
/*<![CDATA[*/
#code {height: 30px;}
/*]]>*/
</style>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
var i = 0;
var pausecontent2=new Array() ;
/*]]>*/
</script>
            <div class="sidebar-latest">
					<ul>
						<?php $the_query = new WP_Query('cat=' . $ex_feat . '&showposts=10&orderby=post_date&order=desc');
							while ($the_query->have_posts()) : $the_query->the_post(); $do_not_duplicate = $post->ID;
echo '<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
pausecontent2[ i ] = \'<li><a title="'.get_the_title().'" href="'.get_permalink().'" rel="bookmark">'.get_the_title().'</a><div class="clear"></div></li>\';
i++;
/*]]>*/
</script>';
							 endwhile; ?>
<script src="<?php echo get_template_directory_uri(); ?>/js/news.js" type="text/javascript"></script>
<script type="text/javascript">
new pausescroller(pausecontent2, "code", "m", 3000);

</script>
					</ul>
				</div>

		</header>
	<div id="main">
